//Name: Justin Fiedler
//Project: HW2:AttributeType
//Course: CS 540

/* AttributeType
 * a class to represent attributes of an example set
 */
public class AttributeType
{	public String label;
	public String[] values;
	public boolean active;

	/* AttributeType
	 * constructs a new AttributeType of label, with possible values 'values'
	 * the attribute is set to active
	 */
	public AttributeType(String label, String[] values)
	{	this.label = label;
		this.values = new String[values.length];
		for(int i = 0; i < values.length; i++)
		{	this.values[i] = values[i];
		}
		active = true;
	}

	/* AttributeType
	 * constructs a new AttributeType from another
	 */
	public AttributeType(AttributeType attribute)
	{	label = attribute.label;
		values = new String[attribute.values.length];
		for(int i = 0; i < values.length; i++)
		{	values[i] = attribute.values[i];
		}
		active = attribute.active;
	}

	/* AttributeType
	 * constructs a new AttributeType of label, with possible values 'values'
	 * that is 'active'
	 */
	public AttributeType(String label, String[] values, boolean active)
	{	this.label = label;
		this.values = new String[values.length];
		for(int i = 0; i < values.length; i++)
		{	this.values[i] = values[i];
		}
		this.active = active;
	}

	/* hasValue
	 * returns true if 'value' is a possible value of this attribute
	 */
	public boolean hasValue(String value)
	{	for(int i = 0; i < values.length; i++)
		{	if(values[i].equals(value)) return true;
		}
		return false;
	}

	/* setActive
	 * sets active true/false
	 */
	public void setActive(boolean active)
	{	this.active = active;
	}

	/* toString
	 * returns a String representation of this attribute
	 */
	public String toString()
	{	String s = label + ": ";
		for(int i = 0; i < values.length; i++)
		{	s += values[i];
			if(i < values.length - 1) s += ", ";
		}
		s += active ? " true" : " false";
		return s;
	}
}
